<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

<xsl:template match="gpx">
<link>
	<xsl:attribute name="rel">STYLESHEET</xsl:attribute>
	<xsl:attribute name="type">text/css</xsl:attribute>
	<xsl:attribute name="href">main.css</xsl:attribute>
</link>
<body >
<a name="top"></a>
<h2>GPS XML Quick View</h2>
<a name="wpt"></a>
<a href="#top">[top]</a> | <a href="#wpt">[waypoints]</a> | <a href="#rte">[routes]</a> | <a href="#trk">[tracks]</a> 
<h3>Waypoints</h3>
<a name="wpt"></a>
<table width="100%">
	<tr>
		<th align="left">name</th>
		<th align="left">latitude</th>
		<th align="left">longitude</th>
		<th align="left">description</th>
		<th align="left">type</th>
		<th align="left">symbol</th>
		<th align="left">time recorded</th>
	</tr>
	<xsl:apply-templates select="wpt"/>
</table>
<a href="#top">[top]</a> | <a href="#wpt">[waypoints]</a> | <a href="#rte">[routes]</a> | <a href="#trk">[tracks]</a> 
<a name="rte"></a>
<h3>Routes</h3>
<table width="100%">
	<xsl:apply-templates select="rte"/>
</table>
<a href="#top">[top]</a> | <a href="#wpt">[waypoints]</a> | <a href="#rte">[routes]</a> | <a href="#trk">[tracks]</a> 
<a name="trk"></a>
<h3>Tracks</h3>
<table width="100%">
	<xsl:apply-templates select="trk"/>
</table>
<a href="#top">[top]</a> | <a href="#wpt">[waypoints]</a> | <a href="#rte">[routes]</a> | <a href="#trk">[tracks]</a> 
</body>
</xsl:template>


<xsl:template match="trk">
	<tr>
		<th colspan="5" align="left"><xsl:value-of select="name" /></th>
	</tr>
	<tr>
		<th align="left">seq</th>
		<th align="left">latitude</th>
		<th align="left">longitude</th>
		<th align="left">ele</th>
		<th align="left">time recorded</th>
	</tr>
	<xsl:apply-templates select="trkpt" />
</xsl:template>

<xsl:template match="rte">
	<tr>
		<th colspan="8" align="left"><xsl:value-of select="name" /></th>
	</tr>
	<tr>
		<th align="left">seq</th>
		<th align="left">name</th>
		<th align="left">latitude</th>
		<th align="left">longitude</th>
		<th align="left">description</th>
		<th align="left">type</th>
		<th align="left">symbol</th>
		<th align="left">time recorded</th>
	</tr>
	<xsl:apply-templates select="rtept" />
</xsl:template>


<xsl:template match="trkpt">
	<tr>
		<td><xsl:value-of select="@seq"/></td>
		<td><xsl:value-of select="@lat"/></td>
		<td><xsl:value-of select="@lon"/></td>
		<xsl:apply-templates select="ele"/>	
		<xsl:apply-templates select="time"/>	
	</tr>
</xsl:template>

<xsl:template match="wpt">
	<tr>
		<xsl:apply-templates select="name"/>	
		<td><xsl:value-of select="@lat"/></td>
		<td><xsl:value-of select="@lon"/></td>
		<xsl:apply-templates select="desc"/>	
		<xsl:apply-templates select="type"/>	
		<xsl:apply-templates select="sym"/>	
		<xsl:apply-templates select="time"/>	
	</tr>
</xsl:template>

<xsl:template match="rtept">
	<tr>
		<td><xsl:value-of select="@seq"/></td>
		<xsl:apply-templates select="name"/>	
		<td><xsl:value-of select="@lat"/></td>
		<td><xsl:value-of select="@lon"/></td>
		<xsl:apply-templates select="desc"/>	
		<xsl:apply-templates select="type"/>	
		<xsl:apply-templates select="sym"/>	
		<xsl:apply-templates select="time"/>	
	</tr>
</xsl:template>

<xsl:template match="name|desc|ele|sym|type">
	<td ><xsl:apply-templates/> </td>
</xsl:template>

<xsl:template match="time">
	<td ><xsl:apply-templates/> (UTC)</td>
</xsl:template>


</xsl:stylesheet>
